Subject: archive HOWTO - Re: compile php 4.05 or 4.06 module?
From: "...2«..." <[email-masked]>
To: "Joshua" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 10 Oct 2001 09:44:47 +1000

for UNARY;
http://www.cygwin.com/ml/cygwin/
search w/ 'php unary'
look at stripes msg (the maintainer)
http://sources.redhat.com/ml/cygwin/2001-06/msg01107.html
quick n dirty fix
http://sources.redhat.com/ml/cygwin/2001-09/msg00038.html
what we are looking for..
http://sources.redhat.com/ml/cygwin/2001-09/msg00008.html

for BUF;
i went through my sources of php 4.0.6 i forget what i did,
but here is the diff of filestat that i changed;
<snip>
$ find /usr/src/php-4.0.6 | grep filestat
/usr/src/php-4.0.6/ext/standard/filestat.c
/usr/src/php-4.0.6/ext/standard/php_filestat.h
/usr/src/php-4.0.6/ext/standard/filestat.o
/usr/src/php-4.0.6/ext/standard/filestat.c~
/usr/src/php-4.0.6/ext/standard/filestat.lo

swan@BRONCO /usr/src/php-4.0.6
$ diff /usr/src/php-4.0.6/ext/standard/filestat.c~
/usr/src/php-4.0.6/ext/standard/filestat.c
41a42,45
> #if defined(__CYGWIN__)
> #include <sys/vfs.h>
> #else
>
47a52,53
> #endif
>
</snip>

----- Original Message -----
From: "Joshua" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, October 10, 2001 9:28 AM
Subject: compile php 4.05 or 4.06 module?

> Has anyone compiled the php 4.06 module succesfully? If yes, can you share
> how you did that seemingly incredible feat?
>
> When I did, I encountered make errors about unary stuff in datetime.c
which
> I fixed only to encounter another error about 'buf' not having a size or
> something in line 15t of filestat.c. I have no idea how to fix that.
Anyone?
>
> Thanks
>
> Joshua
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/